Package org.eclipse.net4j.signal.heartbeat

# Class HeartBeatProtocol.Server.TimerInjector

java.lang.Object
org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server.TimerInjector

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IElementProcessor`

Enclosing class:
  `HeartBeatProtocol.Server`

public static class HeartBeatProtocol.Server.TimerInjector extends Object implements org.eclipse.net4j.util.container.IElementProcessor
An `element post processor` that injects a `timer` into server-side `heart beat protocol` instances.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`TimerInjector()`

## Method Summary

Modifier and Type
Method
Description
`protected Timer`
`getTimer(org.eclipse.net4j.util.container.IManagedContainer container)`
`Object`
`process(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, Object element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimerInjector

public TimerInjector()

## Method Details

### process

public Object process(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, Object element)

Specified by:
  `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`

### getTimer

protected Timer getTimer(org.eclipse.net4j.util.container.IManagedContainer container)